<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/demo_layout_pay"
        android:layout_alignParentRight="true"
        android:layout_marginTop="20dp"
        android:fadeScrollbars="true"
        android:scrollbars="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <Button
                android:id="@+id/share_imagecache"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="添加一张测试用图片" />

            <Button
                android:id="@+id/share_onekey"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="一键分享" />

            <Button
                android:id="@+id/share_onekeyimage"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="一键分享图片" />


            <Button
                android:id="@+id/share_onekeyurl"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="一键分享urL" />

            <Button
                android:id="@+id/share_weibo_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="微博分享文本"
                android:visibility="gone" />

            <Button
                android:id="@+id/share_weibo_textimg"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="微博分享图文"
                android:visibility="gone" />

            <Button
                android:id="@+id/share_weibo_link"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="微博分享链接"
                android:visibility="gone" />

            <Button
                android:id="@+id/share_QQ_image"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="QQ分享纯图"
                android:visibility="gone" />

            <Button
                android:id="@+id/share_QQ_textimg"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="QQ分享图文"
                android:visibility="gone" />

            <Button
                android:id="@+id/share_QQ_link"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="QQ分享链接"
                android:visibility="gone" />

            <Button
                android:id="@+id/share_Qzone_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="QQ空间分享文本"
                android:visibility="gone" />

            <Button
                android:id="@+id/share_Qzone_textimg"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="QQ空间分享图文"
                android:visibility="gone" />

            <Button
                android:id="@+id/share_Qzone_link"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="QQ空间分享"
                android:visibility="gone" />

            <Button
                android:id="@+id/share_wxfriend_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="微信好友分享文本"
                android:visibility="gone" />

            <Button
                android:id="@+id/share_wxfriend_textimg"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="微信好友分享图文"
                android:visibility="gone" />

            <Button
                android:id="@+id/share_wxfriend_link"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="微信好友分享链接"
                android:visibility="gone" />

            <Button
                android:id="@+id/share_wxtimeline_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="微信朋友圈分享文本"
                android:visibility="gone" />

            <Button
                android:id="@+id/share_wxtimeline_textimg"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="微信朋友圈分享图文"
                android:visibility="gone" />

            <Button
                android:id="@+id/share_wxtimeline_link"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="微信朋友圈分享链接"
                android:visibility="gone" />
        </LinearLayout>
    </ScrollView>

</LinearLayout>